<center><a href="ex6f.F">Actual source code: ex6f.F</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:19:53+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a>!
<a name="line2">  2: </a>!  Progran to test random number generation routines from fortran.
<a name="line3">  3: </a>!
<a name="line4">  4: </a>       program main
<a name="line5"> 5: </a> #include <A href="../../../../include/finclude/petsc.h.html">include/finclude/petsc.h</A>
<a name="line6"> 6: </a> #include <A href="../../../../include/finclude/petscsys.h.html">include/finclude/petscsys.h</A>
<a name="line7">  7: </a>      <A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  ierr
<a name="line8">  8: </a>      <A href="../../../../docs/manualpages/Sys/PetscRandom.html#PetscRandom">PetscRandom</A>     r
<a name="line9">  9: </a>      <A href="../../../../docs/manualpages/Sys/PetscScalar.html#PetscScalar">PetscScalar</A>     rand

<a name="line11"> 11: </a>      call <A href="../../../../docs/manualpages/Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A>(PETSC_NULL_CHARACTER,ierr)
<a name="line12"> 12: </a>      <font color="#4169E1">if</font> (ierr .ne. 0) then
<a name="line13"> 13: </a>         print*, 'Unable to begin PETSc program'
<a name="line14"> 14: </a>      endif

<a name="line16"> 16: </a>      call <A href="../../../../docs/manualpages/Sys/PetscRandomCreate.html#PetscRandomCreate">PetscRandomCreate</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,r,ierr)
<a name="line17"> 17: </a>      call <A href="../../../../docs/manualpages/Sys/PetscRandomSetFromOptions.html#PetscRandomSetFromOptions">PetscRandomSetFromOptions</A>(r,ierr)
<a name="line18"> 18: </a>      call <A href="../../../../docs/manualpages/Sys/PetscRandomGetValue.html#PetscRandomGetValue">PetscRandomGetValue</A>(r,rand,ierr)
<a name="line19"> 19: </a>      print*, 'Random value:',rand

<a name="line21"> 21: </a>      call <A href="../../../../docs/manualpages/Sys/PetscRandomDestroy.html#PetscRandomDestroy">PetscRandomDestroy</A>(r,ierr)
<a name="line22"> 22: </a>      call <A href="../../../../docs/manualpages/Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>(ierr)
<a name="line23"> 23: </a>      end
</pre>
</body>

</html>
